from enum import Enum


class R8(Enum):
    A = "A"
    B = "B"
    C = "C"
    D = "D"
    E = "E"
    H = "H"
    L = "L"


class R16(Enum):
    BC = "BC"
    DE = "DE"
    HL = "HL"
    SP = "SP"


R16_HI = {
    R16.BC: R8.B,
    R16.DE: R8.D,
    R16.HL: R8.H,
}

R16_LO = {
    R16.BC: R8.C,
    R16.DE: R8.E,
    R16.HL: R8.L,
}

R16_WITHOUT_SP = [R16.BC, R16.DE, R16.HL]
